#
# spec file for package ksirk
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ksirk
Summary:        Risk-like game for KDE
License:        GPL-2.0+ and LGPL-2.0+
Group:          Amusements/Games/Strategy/Turn Based
Url:            http://www.kde.org
Version:        17.04.0
Release:        0
Source0:        ksirk-%{version}.tar.xz
BuildRequires:  libkdegames4-devel
BuildRequires:  libqca2-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
KsirK is a computerized version of a well known strategy game.

%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  rm %{buildroot}%{_kde4_libdir}/libiris_ksirk.so
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB
%{_kde4_bindir}/ksirk
%{_kde4_bindir}/ksirkskineditor
%{_kde4_htmldir}/en/ksirk/
%{_kde4_htmldir}/en/ksirkskineditor/
%{_kde4_applicationsdir}/ksirk.desktop
%{_kde4_applicationsdir}/ksirkskineditor.desktop
%{_kde4_iconsdir}/hicolor/*/apps/ksirk.*
%{_kde4_iconsdir}/locolor/*/apps/ksirk.*
%{_kde4_appsdir}/ksirk/
%{_kde4_appsdir}/ksirkskineditor/
%{_kde4_libdir}/libiris_ksirk.so.*
%{_kde4_configkcfgdir}/ksirk*.kcfg
%{_kde4_configdir}/ksirk.knsrc

%changelog
